No automatic summaries of page status changes after switching EditPage over to OOUI
Closed, ResolvedPublic

Description

As it has been announced in T162849 , the page editor interface will be will be switching over to OOUI (and is now ready for deployment to Wikimedia wikis). I have tried out the new interface with Proofread Page extension and noticed that the new interface causes a problem with automatic edit summaries during page status changes.

BeforeAfter

Z.

Zdzislaw created this task.May 2 2017, 5:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2017, 5:33 PM

Change 351694 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ProofreadPage@master] Make ext.proofreadpage.page.edit.js edit summary selector work with OOUI

https://gerrit.wikimedia.org/r/351694

Change 351694 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Make ext.proofreadpage.page.edit.js edit summary selector work with OOUI

https://gerrit.wikimedia.org/r/351694

Tpt moved this task from Backlog to In progress on the ProofreadPage board.May 19 2017, 4:03 PM
Tpt closed this task as Resolved.May 26 2017, 9:02 AM
Tpt claimed this task.